Bug 77383 - Cell comments disappear in calc
Summary: Cell comments disappear in calc
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-13 04:17 UTC by RobK
Modified: 2020-01-01 11:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description RobK 2014-04-13 04:17:12 UTC
Problem description: In two calc sheets in the last couple of weeks, when I open the file, comments previously entered in several cells had disappeared. Cell info is correct but no comment.
On one file (.ods), when I opened it later, the comments were back. On the other file (.xls), 4 cells of 6 that I checked had comments but the other 2 did not.

Steps to reproduce:
Can't say since I just noticed this but not in detail. My idea at the moment is that the comments are not disappearing from the file, just not displayed for some reason.

By the way, this system is Windows 7 64 bit.

              
Operating System: Windows 7
Version: 4.2.0.4 release
Comment 1 tommy27 2014-04-13 07:54:05 UTC
try upgrading to 4.2.3.3 and tell us if situation improved.
more than 200 bugs have been fixed from the 4.2.0.4 version you are using, which was a very early release non ready for production
Comment 2 RobK 2014-04-14 05:35:40 UTC
OK I will do that and post additional information if the problem is still happening.

I wasn't following updates that closely, but now I see that there are newer versions.
But I wonder, lately I haven't seen the update icon, and if I Check for Updates from the help menu, it says "LibreOffice 4.2 is up to date.".

Maybe this won't indicate any update until 4.3.x.x as a stable release? But even within 4.2.x.x this update as you mention is significant so I would have expected some notice of the available update.
Comment 3 tommy27 2014-04-14 06:44:42 UTC
I don't know why you do not receive update alert but if you are already on the 4.2.x branch any micro-release is suggested, so you should really upgrade from 4.2.0 (first less stable release) to the current 4.2.3

4.3.x branch is still in alpha phase and is not released yet. it's available only for testing

conservative users are still using 4.1.5 which however is close to end of life.

so I suggest 4.2.3 which is a quite advanced and update 4.2.x branch.

I set status to NEEDINFO waiting you feedback about 4.2.3
Comment 4 RobK 2014-05-05 06:08:32 UTC
Unfortunately, when I recently tried to update to 4.2.3.3, I got an installation error.
I submitted this as a different bug, please check Bug 78057.
Comment 5 tommy27 2014-05-05 11:38:22 UTC
sorry about that... anyway give a try at portable LibO 4.2.3.3
you can download it here: http://sourceforge.net/projects/winpenpack/files/X-LibreOffice/releases/
Comment 6 RobK 2014-05-11 01:07:58 UTC
Thanks. Will this version coexist OK with my currently installed version (4.2.0.4)? Or should I uninstall the old version first?
Anyway one drawback would be that I can't use the quickstarter, I suppose.
Comment 7 tommy27 2014-05-11 04:53:45 UTC
they can coexist since that version it's portable.
Comment 8 RobK 2014-05-13 00:06:54 UTC
Thanks. I tried it out and it works well. I reset some comments so I'll watch and see what happens.

After awhile I may just get rid of the installer version as its been troublesome, and just use the portable ones instead. I can't think of any issues other than reseting file type associations and options with each new version.
Comment 9 tommy27 2014-05-13 03:02:37 UTC
In reply to comment #8)
> Thanks. I tried it out and it works well. I reset some comments so I'll
> watch and see what happens.

your feedback is appreciated

> After awhile I may just get rid of the installer version as its been
> troublesome, and just use the portable ones instead. I can't think of any
> issues other than reseting file type associations and options with each new
> version.

4.2.4.2 is out both regular install version and portable version.

if you keep the portable version always in the same location and replace it with newer version there's no need to reset file associations. moreover if you backup the User subfolder you may migrate its settings from a version to another after any upgrade
Comment 10 QA Administrators 2015-01-10 18:06:10 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 11 QA Administrators 2015-02-11 19:46:44 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11
Comment 12 Mark Mclean 2020-01-01 11:48:53 UTC
Thought I had similar problem. But I learned that comments are delete when info is deleted in the cell that there in. Knowing that help much in not putting comments in cells that may be deleted.